Loading...
Searching...
No Matches
Conrec.h File Reference
`#include <vector>`
`#include <list>`
`#include <unordered_map>`
`#include <Geometry/point.h>`
`#include <cmath>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/dynamic_bitset.hpp>`
`#include <boost/functional/hash.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`

Go to the source code of this file.

## Classes

struct | conrec::ConrecSegment
struct | conrec::tplHash

## Namespaces

namespace | conrec

## Functions

void | conrec::Contour (const double *d, size_t ilb, size_t iub, size_t jlb, size_t jub, const double *x, const double *y, size_t nc, double *z, std::vector< ConrecSegment > &res)
std::vector< std::pair< std::vector< RDGeom::Point2D >, double > > | conrec::connectLineSegments (const std::vector< ConrecSegment > &segments, double coordMultiplier=1000, double isoValMultiplier=1e6)